Subject: RE: Git destroys u+s and g+s directory modes

From: <[email-masked]>
Date: Sat, 27 Dec 2025 09:27:26 -0500

On December 27, 2025 8:57 AM, Michal Suchánek wrote:
> On Sat, Dec 27, 2025 at 03:37:51AM +0100, Hadmut Danisch wrote:
> > Hi,
> >
> > (please respond to my e-mail as well, not just to the list, I'm not
> > subscribed),
> >
> >
> > I do have a problem with git 2.43.0 (ubuntu server 24.04.3) and
> > directory
> > modes:
> >
> >
> > I do need my git repo (owned by me) to be readable by a system user
> > (running a rootless podman container).
> 
> When you want it to be readable you do not need any special permission
bits.
> 
> You can set the directories and files to be readable by group, and ensure
the
> container user is part of the group.
> 
> You are porbably looking for core.sharedRepository configuration option.
> 
> If git is particularly unhappy accessing a readonly repository and the
container is
> short-lived you can add an overlay over the repository when creating the
> container.

There is an option with ubuntu: Access Control Lists (ACLs). These provide
override security for directories that might assist in your process without
having to worry about git security settings. It might be worth looking into
this option.

Randall